#!/bin/sh -e
# Copyright (C)2014..2018 @BABOLO http://www.babolo.ru/
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: testnn.sh,v 1.4 2019/03/05 13:48:46 babolo Exp $

thislib="./lib/librecobe.so.${1}"

echo './recobe -cwk tools/utst.w | diff -q tools/utst.k /dev/stdin'
env LD_PRELOAD="${thislib}" ./recobe -cwk tools/utst.w | diff -q tools/utst.k /dev/stdin
echo './recobe -cak tools/utst.a | diff -q tools/utst.k /dev/stdin'
env LD_PRELOAD="${thislib}" ./recobe -cak tools/utst.a | diff -q tools/utst.k /dev/stdin
echo './recobe -cik tools/utst.i | diff -q tools/utst.k /dev/stdin'
env LD_PRELOAD="${thislib}" ./recobe -cik tools/utst.i | diff -q tools/utst.k /dev/stdin
echo './recobe -cmk tools/utst.m | diff -q tools/utst.k /dev/stdin'
env LD_PRELOAD="${thislib}" ./recobe -cmk tools/utst.m | diff -q tools/utst.k /dev/stdin
echo './recobe -czk tools/utst.z | diff -q tools/utst.k /dev/stdin'
env LD_PRELOAD="${thislib}" ./recobe -czk tools/utst.z | diff -q tools/utst.k /dev/stdin
echo './recobe -cKk tools/utst.K | diff -q tools/utst.k /dev/stdin'
env LD_PRELOAD="${thislib}" ./recobe -cKk tools/utst.K | diff -q tools/utst.k /dev/stdin
echo './recobe -ckK tools/utst.k | ./recobe -ckK | diff -q tools/utst.k /dev/stdin'
env LD_PRELOAD="${thislib}" ./recobe -ckK tools/utst.k | ./recobe -ckK | diff -q tools/utst.k /dev/stdin
echo './recobe -ckK tools/utst.k | ./recobe -cKk | diff -q tools/utst.k /dev/stdin'
env LD_PRELOAD="${thislib}" ./recobe -ckK tools/utst.k | ./recobe -cKk | diff -q tools/utst.k /dev/stdin
echo './recobe -cwk tools/ztb | ./recobe -ckw | cmp tools/ztb /dev/stdin'
env LD_PRELOAD="${thislib}" ./recobe -cwk tools/ztb | ./recobe -ckw | cmp tools/ztb /dev/stdin
echo './recobe -cwa tools/ztb | ./recobe -caw | cmp tools/ztb /dev/stdin'
env LD_PRELOAD="${thislib}" ./recobe -cwa tools/ztb | ./recobe -caw | cmp tools/ztb /dev/stdin
echo './recobe -cwi tools/ztb | ./recobe -ciw | cmp tools/ztb /dev/stdin'
env LD_PRELOAD="${thislib}" ./recobe -cwi tools/ztb | ./recobe -ciw | cmp tools/ztb /dev/stdin
echo './recobe -cwm tools/ztb | ./recobe -cmw | cmp tools/ztb /dev/stdin'
env LD_PRELOAD="${thislib}" ./recobe -cwm tools/ztb | ./recobe -cmw | cmp tools/ztb /dev/stdin
echo './recobe -cwz tools/ztb | ./recobe -czw | cmp tools/ztb /dev/stdin'
env LD_PRELOAD="${thislib}" ./recobe -cwz tools/ztb | ./recobe -czw | cmp tools/ztb /dev/stdin
echo './recobe -ku2 tools/utst.html | ./recobe -k2k | diff -q /dev/stdin tools/utst.k'
env LD_PRELOAD="${thislib}" ./recobe -ku2 tools/utst.html | ./recobe -k2k | diff -q /dev/stdin tools/utst.k
echo './recobe -ku3 tools/utst.html | ./recobe -k3k | diff -q /dev/stdin tools/utst.k'
env LD_PRELOAD="${thislib}" ./recobe -ku3 tools/utst.html | ./recobe -k3k | diff -q /dev/stdin tools/utst.k
echo './recobe -ku4 tools/utst.html | ./recobe -k4k | diff -q /dev/stdin tools/utst.k'
env LD_PRELOAD="${thislib}" ./recobe -ku4 tools/utst.html | ./recobe -k4k | diff -q /dev/stdin tools/utst.k
echo './recobe -ku5 tools/utst.html | ./recobe -k5k | diff -q /dev/stdin tools/utst.k'
env LD_PRELOAD="${thislib}" ./recobe -ku5 tools/utst.html | ./recobe -k5k | diff -q /dev/stdin tools/utst.k
echo './recobe -ku6 tools/utst.html | ./recobe -k6k | diff -q /dev/stdin tools/utst.k'
env LD_PRELOAD="${thislib}" ./recobe -ku6 tools/utst.html | ./recobe -k6k | diff -q /dev/stdin tools/utst.k
echo './recobe -ku7 tools/utst.html | ./recobe -k7k | diff -q /dev/stdin tools/utst.k'
env LD_PRELOAD="${thislib}" ./recobe -ku7 tools/utst.html | ./recobe -k7k | diff -q /dev/stdin tools/utst.k
echo './recobe -ku8 tools/utst.html | ./recobe -k8k | diff -q /dev/stdin tools/utst.k'
env LD_PRELOAD="${thislib}" ./recobe -ku8 tools/utst.html | ./recobe -k8k | diff -q /dev/stdin tools/utst.k
echo './recobe -ku9 tools/utst.html | ./recobe -k9k | diff -q /dev/stdin tools/utst.k'
env LD_PRELOAD="${thislib}" ./recobe -ku9 tools/utst.html | ./recobe -k9k | diff -q /dev/stdin tools/utst.k
echo './recobe -ku2 -k2k tools/utst.html | diff -q /dev/stdin tools/utst.k'
env LD_PRELOAD="${thislib}" ./recobe -ku2 -k2k tools/utst.html | diff -q /dev/stdin tools/utst.k
echo './recobe -ku3 -k3k tools/utst.html | diff -q /dev/stdin tools/utst.k'
env LD_PRELOAD="${thislib}" ./recobe -ku3 -k3k tools/utst.html | diff -q /dev/stdin tools/utst.k
echo './recobe -ku4 -k4k tools/utst.html | diff -q /dev/stdin tools/utst.k'
env LD_PRELOAD="${thislib}" ./recobe -ku4 -k4k tools/utst.html | diff -q /dev/stdin tools/utst.k
echo './recobe -ku5 -k5k tools/utst.html | diff -q /dev/stdin tools/utst.k'
env LD_PRELOAD="${thislib}" ./recobe -ku5 -k5k tools/utst.html | diff -q /dev/stdin tools/utst.k
echo './recobe -ku6 -k6k tools/utst.html | diff -q /dev/stdin tools/utst.k'
env LD_PRELOAD="${thislib}" ./recobe -ku6 -k6k tools/utst.html | diff -q /dev/stdin tools/utst.k
echo './recobe -ku7 -k7k tools/utst.html | diff -q /dev/stdin tools/utst.k'
env LD_PRELOAD="${thislib}" ./recobe -ku7 -k7k tools/utst.html | diff -q /dev/stdin tools/utst.k
echo './recobe -ku8 -k8k tools/utst.html | diff -q /dev/stdin tools/utst.k'
env LD_PRELOAD="${thislib}" ./recobe -ku8 -k8k tools/utst.html | diff -q /dev/stdin tools/utst.k
echo './recobe -ku9 -k9k tools/utst.html | diff -q /dev/stdin tools/utst.k'
env LD_PRELOAD="${thislib}" ./recobe -ku9 -k9k tools/utst.html | diff -q /dev/stdin tools/utst.k
echo './recobe -ku2 -k2k -ckw tools/utst.html | diff -q /dev/stdin tools/utst.w'
env LD_PRELOAD="${thislib}" ./recobe -ku2 -k2k -ckw tools/utst.html | diff -q /dev/stdin tools/utst.w
echo './recobe -ku2 -k21 -k1k tools/utst.html | diff -q /dev/stdin tools/utst.k'
env LD_PRELOAD="${thislib}" ./recobe -ku2 -k21 -k1k tools/utst.html | diff -q /dev/stdin tools/utst.k
echo './recobe -kk1 -k1u -ku2 -k2k tools/utst.k | diff /dev/stdin tools/utst.k'
env LD_PRELOAD="${thislib}" ./recobe -kk1 -k1u -ku2 -k2k tools/utst.k | diff /dev/stdin tools/utst.k
echo './recobe -ckZ tools/utst.k  | diff /dev/stdin tools/utst.Z'
env LD_PRELOAD="${thislib}" ./recobe -ckZ tools/utst.k  | diff /dev/stdin tools/utst.Z
echo './recobe -cky tools/utst.k  | diff /dev/stdin tools/utst.y'
env LD_PRELOAD="${thislib}" ./recobe -cky tools/utst.k  | diff /dev/stdin tools/utst.y
echo './recobe -ckY tools/utst.k  | diff /dev/stdin tools/utst.Y'
env LD_PRELOAD="${thislib}" ./recobe -ckY tools/utst.k  | diff /dev/stdin tools/utst.Y
